package com.caimei.mapper.order;

import com.caimei.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface OrderMapper {

    int insert(CmOrder cmOrder);

    int update(CmOrder cmOrder);

    OrderShareCode queryCode(Integer orderID);

    FreePostageCard queryFree(Integer userId);

    void updateCode(OrderShareCode orderShareCode);

    void insertCode(OrderShareCode code);

    List<Shop> findShop(List<String> productIDs);

    List<CmOrganizeProducts> findAllCommodity(Map<String, Object> params);

    CmOrganizeProducts findCommodity(@Param("productIDs") String productIDs, @Param("shopID") Integer shopID);

    BpOrderUserInfo findUserInfo(Integer orderID);

    CmOrder findOrder(Integer orderID);

    List<CmShopOrder> findAllShopOrder(String[] shopOrderIDs);

    List<CmOrderProduct> findOrderProduct(Integer shopOrderID);

    List<CmDiscernReceipt> findDiscernReceipt(Integer orderID);

    List<CmReturnedPurchase> findReturnedPurchase(Integer orderID);

    List<LogisticsInfo> findLogisticsInfo(Integer orderID);

    List<CmLogisticsRecord> findLogisticsRecord(Integer shopOrderID);

    CmMallShareCodeRecord findShareCodeRecord(@Param("openid") String openid, @Param("orderID") Integer orderID);

    void saveShareCodeRecord(CmMallShareCodeRecord codeRecord);

    List<CmOrder> findAllOrder(@Param("userID") Integer userID, @Param("orderState") Integer orderState, @Param("organizeID") Integer organizeID);

    String findShareCode(Integer orderID);

    List<CmOrganizeProducts> oftenPurchase(@Param("userID") Integer userID, @Param("organizeID") Integer organizeID);

    void deleteReceiptOrderRelation(Integer orderID);

    void deleteDiscernReceipt(Integer id);

    List<CmPayShopRecord> findPayShopRecord(Integer shopOrderID);

    void deletePayShopRecord(Integer shopOrderID);

    void updatePayShop(Integer id);

    void updateLogisticsBatch(Integer orderID);

    //获取订单发票信息
    OrderInvoice getOrderInvoice(@Param("orderId") Integer orderId);

    //保存订单发票信息
    void insertOrderInvoice(OrderInvoice orderInvoice);


}
