package com.caimei.mapper.order;

import com.caimei.entity.CmOrderProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface OrderProductMapper {

    CmOrderProduct get(@Param("orderProductID") Integer orderProductID);

    List<CmOrderProduct> findList(CmOrderProduct cmOrderProduct);

    int delete(@Param("orderProductID") Integer orderProductID);

    int update(CmOrderProduct cmOrderProduct);

    int delete(CmOrderProduct cmOrderProduct);

    int insert(CmOrderProduct cmOrderProduct);

    List<CmOrderProduct> findByIds(String[] ids);

    List<CmOrderProduct> findByIdsAndOrderId(@Param("ids") String[] split, @Param("orderID") Integer orderId);

    List<CmOrderProduct> findByOrderIdGroupByShopId(@Param("orderID") Long orderId);

    List<CmOrderProduct> findByShopIdGroupByOrderId(@Param("shopID") Integer shopId);

    // 查询供应商都确认的订单商品的list
    List<CmOrderProduct> findOrderProductGroup(@Param("shopID") Integer shopId);

    int shopConfirmProduct(@Param("shopID") Integer shopId, @Param("orderID") Integer orderId);

    Integer getUnCommentNum(@Param("shopOrderID") Integer shopOrderID);

    List<CmOrderProduct> getOrderProductDetail(@Param("shopOrderID") Integer shopOrderID);

    String getIdsByOrderID(@Param("orderID") Integer orderID);

    CmOrderProduct findByOrderProductID(@Param("orderProductID") Integer orderProductID);

    Integer getReturningNum(@Param("orderProductID") Integer orderProductID);

    Integer getReturnedNum(@Param("orderProductID") Integer orderProductID);

    Integer getCanceledNum(@Param("orderProductID") Integer orderProductID);

    Integer getReceivedNum(@Param("orderProductID") Integer orderProductID);

}
